curl --request GET \
--url https://api.zuddl.com/v1/events/{eventId}/sponsors/{sponsorId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.zuddl.com/v1/events/{eventId}/sponsors/{sponsorId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zuddl.com/v1/events/{eventId}/sponsors/{sponsorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zuddl.com/v1/events/{eventId}/sponsors/{sponsorId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zuddl.com/v1/events/{eventId}/sponsors/{sponsorId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.zuddl.com/v1/events/{eventId}/sponsors/{sponsorId}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zuddl.com/v1/events/{eventId}/sponsors/{sponsorId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"kind": "<string>",
"url": "<string>",
"id": "4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d",
"name": "Acme Corp",
"title": "Acme's sponsorship",
"description": "<p>Acme Corp is a <strong>leading</strong> provider of...</p>",
"websiteUrl": "https://acme.com",
"logoUrl": "https://example.com/sponsors/acme_logo.png",
"email": "sponsorship@acme.com",
"coverImageUrl": "https://example.com/sponsors/acme_cover.png",
"tier": {
"tierId": "tier-gold",
"tierName": "Gold"
},
"booth": {
"boothId": "4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c4f",
"boothName": "Acme Booth"
},
"socialLinks": {
"linkedInProfile": "https://www.linkedin.com/company/acme",
"twitterProfile": "https://twitter.com/acme",
"facebookProfile": "https://www.facebook.com/acme",
"websiteUrl": "https://acme.com"
}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"code": "<string>",
"params": {},
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"code": "<string>",
"params": {},
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"code": "<string>",
"params": {},
"errors": {}
}Get sponsor details
Use this endpoint to retrieve the details of a specific sponsor added to a particular event type in your Zuddl organization.
Required API key scopes: READ
curl --request GET \
--url https://api.zuddl.com/v1/events/{eventId}/sponsors/{sponsorId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.zuddl.com/v1/events/{eventId}/sponsors/{sponsorId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zuddl.com/v1/events/{eventId}/sponsors/{sponsorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zuddl.com/v1/events/{eventId}/sponsors/{sponsorId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zuddl.com/v1/events/{eventId}/sponsors/{sponsorId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.zuddl.com/v1/events/{eventId}/sponsors/{sponsorId}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zuddl.com/v1/events/{eventId}/sponsors/{sponsorId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"kind": "<string>",
"url": "<string>",
"id": "4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d",
"name": "Acme Corp",
"title": "Acme's sponsorship",
"description": "<p>Acme Corp is a <strong>leading</strong> provider of...</p>",
"websiteUrl": "https://acme.com",
"logoUrl": "https://example.com/sponsors/acme_logo.png",
"email": "sponsorship@acme.com",
"coverImageUrl": "https://example.com/sponsors/acme_cover.png",
"tier": {
"tierId": "tier-gold",
"tierName": "Gold"
},
"booth": {
"boothId": "4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c4f",
"boothName": "Acme Booth"
},
"socialLinks": {
"linkedInProfile": "https://www.linkedin.com/company/acme",
"twitterProfile": "https://twitter.com/acme",
"facebookProfile": "https://www.facebook.com/acme",
"websiteUrl": "https://acme.com"
}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"code": "<string>",
"params": {},
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"code": "<string>",
"params": {},
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"code": "<string>",
"params": {},
"errors": {}
}Authorizations
Provide your API key secret in the Authorization header
Path Parameters
Event ID
^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Sponsor ID
Response
Sponsor details retrieved successfully
Unique ID of the sponsor
"4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d"
Sponsor's name
"Acme Corp"
Display title for the sponsor
"Acme's sponsorship"
Description of the sponsor. May contain rich-text HTML markup (e.g. bold, italic, lists, links). Legacy sponsors may still return plain text.
"<p>Acme Corp is a <strong>leading</strong> provider of...</p>"
"https://acme.com"
"https://example.com/sponsors/acme_logo.png"
"sponsorship@acme.com"
"https://example.com/sponsors/acme_cover.png"
Sponsorship tier information
Show child attributes
Show child attributes
Reference to sponsor's booth
Show child attributes
Show child attributes
Social and website links
Show child attributes
Show child attributes
Was this page helpful?